<?php
/**
 * Setup menus in WP admin.
 *
 * @package Spacetree\Admin\GetStarted
 * @version 1.0.0
 */


defined( 'ABSPATH' ) || exit;

class ST_Admin_GetStarted {
    /**
	 * Instance
	 *
	 * @access private
	 * @var null $instance
	 * @since 4.0.0
	 */
	private static $instance;


    public function __construct() {
        $this->includes();
    }
    
	/**
	 * Initiator
	 *
	 * @since 4.0.0
	 * @return object initialized object of class.
	 */
	public static function get_instance() {
		if ( ! isset( self::$instance ) ) {
			/** @psalm-suppress InvalidPropertyAssignmentValue */ // phpcs:ignore Generic.Commenting.DocComment.MissingShort
			self::$instance = new self();
			/** @psalm-suppress InvalidPropertyAssignmentValue */ // phpcs:ignore Generic.Commenting.DocComment.MissingShort
		}
		return self::$instance;
	}

    public function includes(){
        //require_once 'ajax/st-admin-settings-ajax.php';
    }

    public function hooks(){}

    public static function layout(){
        require_once 'pages/st-admin-get-started-views.php';
    }

}

return ST_Admin_GetStarted::get_instance();